Package: org.gradle.plugins.javascript.coffeescript

## [Java] Class CoffeeScriptExtension

- org.gradle.plugins.javascript.coffeescript.CoffeeScriptExtension

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_JS_DEPENDENCY_GROUP` |
    `static String` | `DEFAULT_JS_DEPENDENCY_MODULE` |
    `static String` | `DEFAULT_JS_DEPENDENCY_VERSION` |
    `static String` | `JS_CONFIGURATION_NAME` |
    `static String` | `NAME` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `FileCollection` | `getJs()`
    `String` | `getVersion()`
    `void` | `setJs(FileCollection js)`
    `void` | `setVersion(String version)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String DEFAULT_JS_DEPENDENCY_GROUP

    - #### public static final String DEFAULT_JS_DEPENDENCY_MODULE

    - #### public static final String DEFAULT_JS_DEPENDENCY_VERSION

    - #### public static final String JS_CONFIGURATION_NAME

    - #### public static final String NAME

  - ### Method Detail

    - #### public FileCollection getJs()

    - #### public String getVersion()

    - #### public void setJs(FileCollection js)

    - #### public void setVersion(String version)